<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

class umum
{
    public function setTabel($db, $tahun)
    {
        $tahun_tabel = substr($tahun, 2, 2) . substr($tahun, 7, 2);
        $tabel = "{$db}" . $tahun_tabel;
        return $tabel;
    }

    public function dateRangeTP($fieldTanggal, $tahun)
    {
        $tanggalmin = (substr($tahun, 0, 4) . "-07-01");
        $tanggalmax = (substr($tahun, 5, 4) . "-06-30");
        $val = "{$fieldTanggal}>='{$tanggalmin}' and {$fieldTanggal}<='{$tanggalmax}'";
        return $val;
    }
}
